<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php include 'GubedGlobals.php'; ?>
<html>
   <head>
      <title>
         Gubed PHP Debugger
      </title>
      <link rel="stylesheet" type="text/css" href="default.css" />
   </head>
   <body>
      <h1>
         Debug info
      </h1>
      <p>
         If you wish to submit a support or bug request, please include the output of this page in your request.
         It containts the most common information the developers will need to help you.
      </p>
      
      <ul>
         <li>
            <a href="http://sourceforge.net/tracker/?group_id=75605&atid=544513">Bug report</a>
         </li>
         <li>
            <a href="http://sourceforge.net/tracker/?group_id=75605&atid=544514">Support request</a>,
         </li>
      </ul>
      <p>
         You can also visit the #gubed channel on the Freenode irc network, or mail the developers at 
         <a href="mailto:gubed@mccabe.nu">Gubed@McCabe.nu</a>.
      </p>
      <hr />
      <table>
         <thead>
            <tr>
               <th>Property</th>
               <th>Value</th>
            </tr>
         </thead>
         <tbody>
            <tr>
               <td>Gubed Version</td>
               <td><?php echo $gbdVersion; ?></td>
            </tr>
            <tr>
               <td>Protocol Version</td>
               <td><?php echo $gbdProtocolVersion; ?></td>
            </tr>
            <tr>
               <td>PHP Version</td>
               <td><?php echo phpversion(); ?></td>
            </tr>
            <tr>
               <td>Tokenizer</td>
               <td><?php echo extension_loaded('tokenizer') ? 'Yes' : 'No'; ?></td>
            </tr>
            <tr>
               <td>Backtrace</td>
               <td><?php echo function_exists('debug_backtrace') ? 'Yes' : 'No'; ?></td>
            </tr>
            <tr>
               <td>Server</td>
               <td><?php echo $_SERVER['SERVER_SOFTWARE']; ?></td>
            </tr>
         </tbody>
      </table>
   </body>
</html>
