<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

   <head>
      <title>Post processing test</title>
      <meta name="GENERATOR" content="Quanta Plus">
      <meta name="AUTHOR" content="Linus McCabe">
      <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
      <link rel="stylesheet" type="text/css" href="../default.css" />
   </head>
   <body>

      <?php
         require("../GubedFunctions.php");
         $GLOBALS['gbd']['SessionFile'] = 'SESSIONFILE';
         $GLOBALS['gbd']['StartSession'] = '/StartSession.php?gbdScript=';
         $GLOBALS['gbd']['BaseURL'] = '/test/';
         $GLOBALS['gbd']['Script'] = '/test/test.php';
         $origfile = gbdReadScript($_FILES['file']['tmp_name']);
         ob_start();
         gbdShutdown2($origfile);
         $processedfile = ob_get_contents();
         ob_end_clean();
         
      ?>
      <table>
  
         <?php
            $origfile =split("\n", $origfile);
            $processedfile = split("\n", $processedfile);
            $numlines = max(count($origfile), count($processedfile));
            
            for($intCnt = 0; $intCnt < $numlines; $intCnt++) {
               echo "<tr style='" . ($intCnt % 2 == 0 ? "background: #dddddd" : "") . "'>\n";
               echo "   <td><a name=\"x{$intCnt}\">{$intCnt}</a></td>\n";
               echo '   <td>' . highlight_string($processedfile[$intCnt], true) . "</td>\n";
               echo "   <td>{$intCnt}</td>\n";
               echo '   <td>' . highlight_string($origfile[$intCnt], true) . "</td>\n";
               echo "</tr>\n";
            }
         
            ?>
         
         </table>
         
         <?php
         
            $tmpprocessed = tempnam("", "diff");
            $handle = fopen($tmpprocessed, "w");
            
            if($handle) {
               fwrite($handle, join($processedfile, "\n"));
               fclose($handle);
               
               echo "diff -u2 -E -w -b  \"{$_FILES['file']['tmp_name']}\" \"{$tmpprocessed}\"";
               $diff = `diff -u2 -E -w -b "{$_FILES['file']['tmp_name']}" "{$tmpprocessed}"`;
            
               print ("<pre>");
               echo (preg_replace("/^(\\d+)(\D)/m", '<a href="#x\\1">\\1</a>\\2', htmlentities($diff)));
               print ("</pre>");
      
            }
            else
               echo "Unable to save processed file for diff";
        
         ?>

   </body>
</html>