<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
   <head>
      <title>
         Welcome to Gubed PHP Debugger
      </title>
      <link rel="stylesheet" type="text/css" href="default.css" />
   </head>
   <body>
      <h1>
         Gubed PHP Debugger
      </h1>
      <h2>
         Documentation
      </h2>
      <p>
         If this is the first time you try Gubed, you might want to try the 
         <a href="docs">documentation</a>.
      </p>
      <h2>
         StartSession
      </h2>
      <p>
         To start debugging, go to the <a href="StartSession.php">StartSession</a> page.
      </p>
      
      <h2>
         Gubed Testbench
      </h2>
      <p>
         To explore Gubed's capabilities and test your setup, check out the  
         <a href="GubedTest/index.php">
            Gubed Testbench
         </a>
      </p>
      
      <h2>
         Support
      </h2>
      <p>
         If you have problems with Gubed, visit the  
         <a href="debuginfo.php">Debug Info Page</a>
      </p>
      <h2>
         Developers
      </h2>
      <?php 
         if(is_dir('develop')) {
            ?>
               <p>
                  <strong>
                     You have the 'develop' subdirectory available. This is not a good thing if this webspace is accessible for anyone!
                  </strong>
               </p>
               <p>
                  Of course, you shouldn't install a debugger on a production server, but if you really need to or if
                  your development server for some reason is public, make sure the Gubed directory is protected from 
                  unsolicited use.
               </p>
               <p>
                  Furthermore, the 'develop' subdirectory can scan and display the contents of any file on your system that's
                  readable by the webserver, so it's really not a good idea to have it laying around on non protected servers.
               </p>
               <p>
                  You can safely delete the 'develop' subdirectory from the Gubed directory, but if your box is unavailable 
                  for the public, it can be used to test different parts of the debugger:
                  <a href="develop/">
                     ./develop/
                  </a>
               </p>
            <?php
         }
      ?>
      <h2>
         More info
      </h2>      
      <p>
         Visit Gubed website:
         <a href="http://gubed.sf.net/">
            http://gubed.sf.net/
        </a>
      </p>
   </body>
</html>
